% cooccurrence assessment flow-chart like schema
% \usepackage{tikz}
% \usetikzlibrary{decorations.pathreplacing,positioning}



\begin{tikzpicture}
  % graph nodes
  \node[draw,circle] (g0) at (0,0) {$G_0$};
  \node[draw,circle,right=1cm of g0] (g1) {$G_1$};
  \node[draw,circle,right=1cm of g1] (g2) {$G_2$};
  \node[right=1cm of g2] (k) {$\dots$};
  \node[draw,circle,right=1cm of k] (gn) {$G_n$};

  % cooccurrence nodes
  \node[draw,rectangle,below=1cm of g0] (c0) {$coocc_0$};
  \node[draw,rectangle,below=1cm of g1] (c1) {$coocc_1$};
  \node[draw,rectangle,below=1cm of g2] (c2) {$coocc_2$};
  \node[draw,rectangle,below=1cm of gn] (cn) {$coocc_n$};

  % transition probability between graphs
  \draw[->] (g0) -- (g1);
  \draw[->] (g1) -- (g2);
  \draw[->] (g2) -- (k);
  \draw[->] (k) -- (gn);

  % cooccurrence computations
  \draw[->] (g0) -- (c0);
  \draw[->] (g1) -- (c1);
  \draw[->] (g2) -- (c2);
  \draw[->] (gn) -- (cn);

  % curly braces
  \draw[decoration={brace,mirror,raise=5pt},decorate]
  (c0.south west) -- node[below=6pt] {computation of $z-score$, $p-value$ and $leverage$} (cn.south east);
\end{tikzpicture}
